com.mysql.jdbc

## Class PreparedStatement.AppendingBatchVisitor

- java.lang.Object
- - com.mysql.jdbc.PreparedStatement.AppendingBatchVisitor

All Implemented Interfaces:
  PreparedStatement.BatchVisitor

Enclosing class:
  PreparedStatement

     class PreparedStatement.AppendingBatchVisitor
    extends java.lang.Object
    implements PreparedStatement.BatchVisitor

### Field Summary

Fields
`(package private) java.util.LinkedList<byte[]>` `statementComponents`

### Constructor Summary

Constructors
Constructor and Description
`PreparedStatement.AppendingBatchVisitor()`

### Method Summary

Methods
`PreparedStatement.BatchVisitor` `append(byte[] values)`
`PreparedStatement.BatchVisitor` `decrement()`
`byte[][]` `getStaticSqlStrings()`
`PreparedStatement.BatchVisitor` `increment()`
`PreparedStatement.BatchVisitor` `merge(byte[] front, byte[] back)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### statementComponents

    java.util.LinkedList<byte[]> statementComponents

### Constructor Detail

#### PreparedStatement.AppendingBatchVisitor

    PreparedStatement.AppendingBatchVisitor()

### Method Detail

#### append

    public PreparedStatement.BatchVisitor append(byte[] values)

Specified by:
  `append` in interface `PreparedStatement.BatchVisitor`

#### increment

    public PreparedStatement.BatchVisitor increment()

Specified by:
  `increment` in interface `PreparedStatement.BatchVisitor`

#### decrement

    public PreparedStatement.BatchVisitor decrement()

Specified by:
  `decrement` in interface `PreparedStatement.BatchVisitor`

#### merge

    public PreparedStatement.BatchVisitor merge(byte[] front,
                                       byte[] back)

Specified by:
  `merge` in interface `PreparedStatement.BatchVisitor`

#### getStaticSqlStrings

    public byte[][] getStaticSqlStrings()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`